#
# Cookbook:: coregen-chef-tengu-cookbook
# Recipe:: tengu-dependencies
#
# Copyright:: 2019, The Authors, All Rights Reserved.

node.default['poise-python']['options']['pip_version'] = '18.0'
include_recipe 'poise-python'

python_runtime '3'

python_virtualenv '/opt/app'

python_package "gunicorn" do
    action :install
end

python_package "tengu" do
    action :install
end

python_package "hvac" do
    action :install
end

python_package "boto3" do
    action :install
end

python_package "cloudwatch-fluent-metrics" do
    action :install
end
