#
# Cookbook:: coregen-chef-tengu-cookbook
# Recipe:: tengu-daemonize
#

template "/lib/systemd/system/tengu.service" do
    source 'tengu.service.erb'
    variables(
        "app_path": "/opt/app"
    )
	mode "0644"
end

file "/etc/nginx/sites-enabled/default" do
    action  :delete
end

link '/etc/nginx/sites-enabled/default' do
        to '/etc/nginx/sites-available/tengu-site.conf'
    link_type :symbolic
end

service "tengu" do
    action :start
end

service "nginx" do
    action :restart
end
